---
layout: commands
page_title: 'Commands: ACL Auth Method Delete'
description: |
  The `consul acl auth-method delete` command deletes an individually specified auth method.
---

# Consul ACL Auth Method Delete

Command: `consul acl auth-method delete`

Corresponding HTTP API Endpoint: [\[DELETE\] /v1/acl/auth-method/:name](/consul/api-docs/acl/auth-methods#delete-an-auth-method)

The `acl auth-method delete` command deletes an auth method.

The table below shows this command's [required ACLs](/consul/api-docs/api-structure#authentication). Configuration of
[blocking queries](/consul/api-docs/features/blocking) and [agent caching](/consul/api-docs/features/caching)
are not supported from commands, but may be from the corresponding HTTP endpoint.

| ACL Required |
| ------------ |
| `acl:write`  |

## Usage

Usage: `consul acl auth-method delete [options]`

#### Command Options

- `-name=<string>` - The Name of the auth method to delete.

#### Enterprise Options

@include 'legacy/cli-http-api-partition-options.mdx'

@include 'legacy/http_api_namespace_options.mdx'

#### API Options

@include 'legacy/http_api_options_client.mdx'

@include 'legacy/http_api_options_server.mdx'

## Examples

Delete an auth method:

```shell-session
$ consul acl auth-method delete -name minikube
Auth-method "minikube" deleted successfully
```
